iPhone 3G with 3.1 and iPad BB. Need Help!!!

Discussion in 'Jailbreaks and iOS Hacks' started by UrBoyTim, Jul 13, 2011.

  1. UrBoyTim macrumors member

    Joined:
    Jul 13, 2011
    Location:
    Oklahoma!!
    #1
    I got an iphone 3G with 4.2.1 the other day and wanted to jailbreak/unlock to use my Tmobile sim card. I researched for hours beforehand and followed all instructions correctly. I downloaded redsn0w, installed cydia, but then discovered I needed the iPad Baseband. So i had to dwnload a new redsn0w (the one I used beforehand didn't have the iPad BB option) and after downloading the iPad Baseband, my iphone was stuck in recovery mode!!

    The solution to this was to then download TinyUmbrella and downgrade to 3.1 to get it out of recovery mode. So now I'm stuck with this 3G iPhone with 3.1 and ipad 06.15.00 BB and I have no idea how to jailbreak/unlock. Redsn0w hasn't worked yet to even jailbreak, but that's probably because it doesn't recognize my 3.1 ipsw for some reason and I have to use the 4.2.1..anyways..i'm just lost now.
    Also, I can't upgrade to any other firmware like 4.2 or even 3.2.1. The iPhone is only working with 3.1.

    Can anyone guide me through jailbreaking and unlocking this thing??
     
  2. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #2
    You're going to need a custom firmware for whichever iOS you upgrade to. You can make one by either using PwnageTool (mac) or Snowbreeze (windows).
     
  3. UrBoyTim thread starter macrumors member

    Joined:
    Jul 13, 2011
    Location:
    Oklahoma!!
    #3
    Awesome! Thank you for your reply; I really appreciate it!
    I just have a few questions for that..
    1. Do I use the custom firmware when I restore using shift+restore in iTunes or just in redsn0w?
    2. If I do use iTunes, which I think is correct, installing it is the same as installing the 3.1, right? Like, I still use Tinyumbrella to kick it out of recovery and all that?
    3. Will iTunes recognize it as valid ipsw? I've tried to use customs before and for some reason it never reads, even when it's in DFU mode. Do I need an earlier iTunes?
     
  4. UrBoyTim thread starter macrumors member

    Joined:
    Jul 13, 2011
    Location:
    Oklahoma!!
    #4
    Alright...well I managed to get 3.1.3 to work without snowbreeze; for some reason it was stuck on itunes preparing the iphone for like 20 minutes before I figured it wasn't going to work.
    I think that I will have more options for jailbreaking/unlocking now that I have 3.1.3, agreed? Or should I try and shoot for 4.2.1 still? And how much will having this ipad firmware hinder me from easily unlocking?
     
  5. PsstGreek macrumors 68040

    PsstGreek

    Joined:
    Oct 21, 2010
    Location:
    Tampa Bay
    #5
    iOS 4.2.1 is as high as the 3G will go. Any other iOS isn't supported. Having it on 3.1.3 will be much better and faster.
     
  6. awadeee macrumors 68020

    awadeee

    Joined:
    Jan 21, 2011
    Location:
    Viper City
    #6
    1.You can install 3.1.3 on the 3G without any SHSH saved.
    2. Just shift + restore to the 3.1.3 IPSW.
    3. Yeah, restoring to stock sometimes works on a 3G with the iPad baseband. You just get a 1015 error and have to kick it out of recovery.

    Well you still have the 6.15.00 iPad baseband no matter what firmware you install. Just jailbreak and go into Cydia and install Ultrasn0w and you're good. I've never actually tried the 3.1/6.15 combination before as I know you have to be on 4.2.1 to even install the iPad baseband, but it's worth a try! Keep us updated. :)
     
  7. UrBoyTim thread starter macrumors member

    Joined:
    Jul 13, 2011
    Location:
    Oklahoma!!
    #7
    Awesome! Everything works! I just installed the 3.1.3, jailbroke with the right version of redsn0w and everything is working great! Currently running T-Mobile with no problems except receiving pictures. That issue however is another day and another thread, lol. I'm just happy it all worked out!! Thank you so much!
     
  8. Abs_p macrumors 6502a

    Joined:
    Jul 15, 2011
    #8
    Btw run f0recast once . If u have 5.08 bottom u can go back to stock firmwares :)
     
  9. Erindoesntknow macrumors newbie

    Joined:
    Jul 16, 2011
    #9
    I have an iphone 3g, with 4.2.1 and BB 05.15.04. If I switch to the ipad BB and downgrade to the recommended (faster) 3.1 iOS I should hypothetically be able to jailbreak and unlock my 3g and use it on tmobile without issues correct?
     
  10. Blazing angel macrumors regular

    Joined:
    Jun 19, 2010
    #10
    Install the custom firmware called whited00r. It works on ipad baseband phones, and is 10x times faster then a regular firmware. It's essentially a optimized 3.1.3
     
  11. awadeee macrumors 68020

    awadeee

    Joined:
    Jan 21, 2011
    Location:
    Viper City
    #11
    Yes.
     
  12. UrBoyTim thread starter macrumors member

    Joined:
    Jul 13, 2011
    Location:
    Oklahoma!!
    #12
    Yes, that's exactly what I did and I'm running T-mobile now. NOTE: If you have no data plan, call t-mobile and ask about putting your phone in restrict settings to stop data charges. I used SB to toggle off edge, but I still had like $27 in charges. When you talk to them, they're super helpful and kind of supportive of unlocking an iphone, plus they said there's no way to have charges when you do it this way.

    Other than that, you should be solid. You might need to download the the mms fix from xsellize source in cydia for T-mobile and AT&T. It was the only thing that got my picture messaging working with sending and receiving; all the other apn settings only worked with sending.

    Hope it works out bro!
     

Share This Page